<template>
	<v-dialog
		v-model="open"
		max-width="400"
	>
		<v-card class="n-dialog">

			<v-card-text class="n-dialog-content" v-html="message">
			</v-card-text>

			<v-card-actions>
				<div class="n-dialog-actions">
					<v-btn
						round
						color="default"
						@click="doAction('yes')"
					>
						{{yesText}}
					</v-btn>
					<v-btn
						round
						color="primary"
						@click="doAction('no')"
					>
						{{noText}}
					</v-btn>
				</div>
			</v-card-actions>
		</v-card>
	</v-dialog>
</template>
<script src="./ConfirmDialog.js"></script>
